from bracket import make_sh_test_op

# Test if dhcpcd is able to get a lease without a -w option
# Regression test for PR 48140, kind of

# Previously called pr48140.py, with a database variable called
# 'if_ne_gets_address'

def op():
    return make_sh_test_op('dhcpcd_lease_no_w',
'''
set -x
dhcpcd -d
ifconfig wm0
ifconfig wm0 | grep 'inet 10'
''')
